canmenu=true
local frame = 0;
speed= 1;
SemiClosePlushes();
function gameinput (sender,obj_id,attachedID)

------------------------------------------------------------------------------------------------------------------
	if sender==33 then
		if plushes_were_closed then		
			
			LevelComplete()
		else
			DrawSkipButton();
		end;
	end;
			
-------------------------------------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------------------------------------
	
	if sender==15 then
		if obj_id==1001 then
			del_object_from_game(1001)
			addstaticobjecttogame(1002, "frame2",0,0,"");
			set_visible_object(1002,false)
			speciale_action(2,1002,true)
			StartTimer(556,2.5)
		end
		if obj_id==1002 then
			del_object_from_game(1002)
			addstaticobjecttogame(1006, "carwithout",-270,430,"");
			addstaticobjecttogame(1003, "frame3",0,0,"");			
			set_visible_object(1006,false)
			set_visible_object(1003,false)
			speciale_action(2,1006,true)
			speciale_action(2,1003,true)
			 StartTimer(557,2.5)
		return;end
		
		if obj_id==1006 then
			del_object_from_game(1003)
			del_object_from_game(1006)
			
			addstaticobjecttogame(1005, "car",-270,430,"");		
			addstaticobjecttogame(1004, "frame4",0,0,"");	
			set_visible_object(1005,false)
			set_visible_object(1004,false)
			speciale_action(2,1005,true)
			speciale_action(2,1004,true)
			StartTimer(558,2.5)
		return;end
		
		
		
	end
	
	
	if sender ==36 then
	if obj_id==555 then		
	speciale_action(2,1001,true);	
	return;end;
	
	if obj_id==556 then	
	speciale_action(2,1002,true);	
	return;end;
	
	if obj_id==557 then		 		
	speciale_action(2,1006,true);
	speciale_action(2,1003,true);	
	return;end;
	if obj_id==558 then		 		
	MoveObjectX(1005,-270, -2000,3)
	playeffect("077")	
	return;end;	
	return;end;



	if sender==28 then
		BlockCursor(false);

			if obj_id == 1005 then
				CloseComPlash()	
				BlockCursor(false)
			return; end;
		if obj_id == She then
			MakeMessage(She,"51");
		return; end;


		if frame == 4 and obj_id == He then
			CloseComPlash()	
		return; end;
		if frame == 0  then
			StartTimer(555,2.5)
			-- BlockCursor(true)
		return; end;
	return;end;
	
	if sender == 1 then --кликнули левой кнопкой мыши на активный объект

		if obj_id == skip_id then
			BlockCursor(false)
			CloseComPlash()	
		end;
		
			
		
		
	return;end;	
	

end
